using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using PSTW_CentralSystem.Areas.Inventory.Models;

namespace PSTW_CentralSystem.Areas.Inventory.Controllers
{
    [Area("Inventory")]

    [Authorize(Policy = "RoleModulePolicy")]
    public class ItemMovementController : Controller
    {
        // GET: Inventory
        public ActionResult Index()
        {
            return View();
        }
        public ActionResult ItemMovementUser()
        {
            return View();
        }
        public ActionResult QrUser()
        {
            return View();
        }

        public IActionResult ItemRequest()
        {
            return View();
        }

        public IActionResult UserDashboard()
        {
            return View();
        }

        [Authorize]
        [HttpPost("/i/{id}")]
        public IActionResult ItemRecognization(string id, [FromBody] ItemModel item)
        {
            return View();
        }

    }
}
